"use strict";
         if(lat=='' || lat==null ) {
           var lat="51.508742";
        }
        if(long=='' || long==null) {
            var long="-0.120850";
        }
        
        var supportGeolocation = false;

        if ('geolocation' in navigator) {
            navigator.geolocation.getCurrentPosition(function (position) {
                lat = position.coords.latitude;
                long = position.coords.longitude
            });
            supportGeolocation = true;
        } else {
            console.log('geolocation IS NOT available');
        }

        var myCenter=new google.maps.LatLng(lat,long);
        function initialize()
        {
          var mapProp = {
            center: myCenter,
            zoom:parseInt(zoom),
            mapTypeId: google.maps.MapTypeId.ROADMAP
          };

        var map = new google.maps.Map(document.getElementById("dlmmapdiv"),mapProp);
        var  marker = new google.maps.Marker({
              position: myCenter,
              draggable: true,
              title:'Click to zoom'
              });

        if (supportGeolocation) 
        {
            navigator.geolocation.watchPosition(function (position) {
                if (marker) {
                    marker.setMap(null);
                }
                var center = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
                map.panTo(center);
                marker = new google.maps.Marker({
                    position: center,
                    draggable: true,
                    zoom: 15,
                    map: map,
                })

                marker.setMap(map);
                google.maps.event.addListener(marker, 'click', function (event) {
                    document.getElementById("delivery_location").value = event.latLng.lat()+','+event.latLng.lng();

                });

                google.maps.event.addListener(marker, 'click', function (event) {
                    document.getElementById("delivery_location").value = this.getPosition().lat()+','+this.getPosition().lng();

                });

                google.maps.event.addListener(marker, 'dragend', function (event) {
                    document.getElementById("delivery_location").value = this.getPosition().lat()+','+this.getPosition().lng();

                });

            });
        }
        else
        {
            marker.setMap(map);
            google.maps.event.addListener(marker, 'click', function (event) {
                document.getElementById("delivery_location").value = event.latLng.lat()+','+event.latLng.lng();

            });

            google.maps.event.addListener(marker, 'click', function (event) {
                document.getElementById("delivery_location").value = this.getPosition().lat()+','+this.getPosition().lng();

            });

            google.maps.event.addListener(marker, 'dragend', function (event) {
                document.getElementById("delivery_location").value = this.getPosition().lat()+','+this.getPosition().lng();

            });

        }
        

       

        }
        google.maps.event.addDomListener(window, 'load', initialize);